org.apache.jmeter.gui.action.template

## Class Template

- java.lang.Object
- - org.apache.jmeter.gui.action.template.Template

-     public class Template
      extends java.lang.Object

  Template Bean
  Since:
    2.10

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Template()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getFileName()`
    `java.lang.String` | `getName()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getParameters()`
    `java.io.File` | `getParent()`
    `int` | `hashCode()`
    `boolean` | `isTestPlan()`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setFileName(java.lang.String relativeFileName)`
    `void` | `setName(java.lang.String name)`
    `void` | `setParameters(java.util.Map<java.lang.String,java.lang.String> parameters)`
    `void` | `setParent(java.io.File parent)`
    `void` | `setTestPlan(boolean isTestPlan)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Template

          public Template()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns:
        the name

    - #### setName

          public void setName(java.lang.String name)

      Parameters:
        `name` - the name to set

    - #### getFileName

          public java.lang.String getFileName()

      Returns:
        the relativeFileName

    - #### setFileName

          public void setFileName(java.lang.String relativeFileName)

      Parameters:
        `relativeFileName` - the relativeFileName to set

    - #### getDescription

          public java.lang.String getDescription()

      Returns:
        the description

    - #### setDescription

          public void setDescription(java.lang.String description)

      Parameters:
        `description` - the description to set

    - #### isTestPlan

          public boolean isTestPlan()

    - #### setTestPlan

          public void setTestPlan(boolean isTestPlan)

    - #### getParent

          public java.io.File getParent()

    - #### setParent

          public void setParent(java.io.File parent)

    - #### getParameters

          public java.util.Map<java.lang.String,java.lang.String> getParameters()

    - #### setParameters

          public void setParameters(java.util.Map<java.lang.String,java.lang.String> parameters)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.